<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
<!DOCTYPE bugzilla SYSTEM "http://bugs.gentoo.org/bugzilla.dtd">

<bugzilla version="2.22.7"
          urlbase="http://bugs.gentoo.org/"
          maintainer="bugzilla@gentoo.org"
>

    <bug>
          <bug_id>46755</bug_id>
          
          <creation_ts>2004-04-04 01:42 0000</creation_ts>
          <short_desc>im-ja-1.0-r1 does not include xim support due to --enable-xim</short_desc>
          <delta_ts>2004-04-04 08:20:58 0000</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>1</classification_id>
          <classification>Unclassified</classification>
          <product>Gentoo Linux</product>
          <component>Applications</component>
          <version>unspecified</version>
          <rep_platform>All</rep_platform>
          <op_sys>All</op_sys>
          <bug_status>RESOLVED</bug_status>
          <resolution>FIXED</resolution>
          
          
          
          <priority>P2</priority>
          <bug_severity>normal</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          
          <everconfirmed>1</everconfirmed>
          <reporter>tpeland@tkukoulu.fi</reporter>
          <assigned_to>cjk@gentoo.org</assigned_to>
          

      

      
          <long_desc isprivate="0">
            <who>tpeland@tkukoulu.fi</who>
            <bug_when>2004-04-04 01:42:34 0000</bug_when>
            <thetext>The --enable-xim needs to be removed from the ebuild. The explanation is in the file already.

  # You cannot use `use_enable ...` here. im-ja&apos;s configure script
  # doesn&apos;t distinguish --enable-canna from --disable-canna, so
  # --enable-canna stands for --disable-canna in the script ;-(

--- im-ja-1.0-r1.ebuild.OLD     2004-04-04 12:28:34.264210778 +0300
+++ im-ja-1.0-r1.ebuild 2004-04-04 12:29:10.234118060 +0300
@@ -50 +50 @@
-       gnome2_src_compile --enable-xim $myconf || die
+       gnome2_src_compile $myconf || die</thetext>
          </long_desc>
          <long_desc isprivate="0">
            <who>usata@gentoo.org</who>
            <bug_when>2004-04-04 08:20:58 0000</bug_when>
            <thetext>Right. I mistakenly replaced $myconf with --enable-xim when I
introduced 1.0 ebuild, and added $myconf back in 1.0-r1 but I
forgot to remove --enable-xim. I added the comment lines, though ;-(

Anyhow, the problem is fixed in CVS. Thanks for the report and patch.
</thetext>
          </long_desc>
      
    </bug>

</bugzilla>